# Uses of Class
org.mariadb.jdbc.type.LineString

Packages that use LineString
Package
Description
org.mariadb.jdbc.plugin.codec
org.mariadb.jdbc.type

## Uses of LineString in org.mariadb.jdbc.plugin.codec

Classes in org.mariadb.jdbc.plugin.codec that implement interfaces with type arguments of type LineString
Modifier and Type
Class
Description
`class`
`LineStringCodec`
LineString codec
Methods in org.mariadb.jdbc.plugin.codec that return LineString
Modifier and Type
Method
Description
`LineString`
LineStringCodec.`decodeBinary(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal, org.mariadb.jdbc.client.Context context)`
`LineString`
LineStringCodec.`decodeText(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal, org.mariadb.jdbc.client.Context context)`

## Uses of LineString in org.mariadb.jdbc.type

Methods in org.mariadb.jdbc.type that return LineString
Modifier and Type
Method
Description
`LineString[]`
MultiLineString.`getLines()`
get lines
`LineString[]`
Polygon.`getLines()`
get lines
Constructors in org.mariadb.jdbc.type with parameters of type LineString
Modifier
Constructor
Description
``
`MultiLineString(LineString[] lines)`
Constructor
``
`Polygon(LineString[] lines)`
polygon